import { jsx } from "react/jsx-runtime";
import { BasketIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Basket = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Basket", ...props, children: /* @__PURE__ */ jsx(BasketIcon, { weight: variant }) });
  }
);
Basket.displayName = "Basket";
Object.assign(Basket, { isGdsIcon: true });
export {
  Basket
};
